# $Revision: 1.16 $, $Date: 2004/05/07 01:12:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Multimethods
Summary:	Class::Multimethods - support multimethods and function overloading in Perl
Summary(pl):	Class::Multimethods - obsuga wielometod i przeciania funkcji w Perlu
Name:		perl-Class-Multimethods
Version:	1.70
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5fdc79daa81b102b956b1a61531fd6a7
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Class::Multimethod module exports a subroutine (&multimethod) that
can be used to declare other subroutines that are dispatched using a
algorithm different from the normal Perl subroutine or method dispatch
mechanism.

%description -l pl
Modu Class::Multimethod eksportuje funkcj (&multimethod), ktra moe
by uyta do deklarowania innych funkcji, ktre mog by wysyane przy
uyciu innego algorytmu ni normalnie uywany przez Perla dla funkcji
lub metod.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
perl -ni -e 'BEGIN{undef $/}print "#!/usr/bin/perl\n$_"' demo/*.pl
cp -a demo/*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* *.html
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Multimethods.spec,v $
Revision 1.16  2004/05/07 01:12:25  ankry
- rel. 4

Revision 1.15  2004/05/06 18:09:21  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.13  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.12  2004/04/18 16:56:35  ankry
- license fixes and unification

Revision 1.11  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.10  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:38  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:09  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/10/09 14:00:24  qboosh
- pl description, release 2

Revision 1.1  2002/09/21 21:01:35  radek
- new, STBR
